<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Post;

use Inti\Provider\ProviderInterface;
use Inti\Provider\Query\QueryInterface;
use Inti\Provider\Query\QueryPaginateInterface;
use Inti\Provider\Query\QuerySearchInterface;
use Inti\Provider\Query\QuerySlugInterface;

/**
 * Interface ProviderInterface
 *
 * @package Inti\Wp\Provider\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface PostProviderInterface extends
    ProviderInterface,
    QueryInterface,
    QueryPaginateInterface,
    QuerySearchInterface,
    QuerySlugInterface
{ }
